Skip to main content
GET
/
v1
/
loyalty
/
programs
/
{id}
Retrieve a loyalty program
curl --request GET \
  --url https://api.yorlet.com/v1/loyalty/programs/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "loyalty.program",
  "archived": true,
  "budget": {
    "maximum_points": 2,
    "time_window": "all_time"
  },
  "description": "<string>",
  "discoverable": true,
  "expires_at": 123,
  "in_person": {
    "url": "<string>"
  },
  "name": "<string>",
  "recipient_restriction": "none",
  "reward": {
    "type": "points",
    "points": 2
  },
  "statement_descriptor": "<string>",
  "status": "active",
  "tier": "<string>",
  "type": "rent_on_time",
  "account": "<string>",
  "deleted": false,
  "priority": 50
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Retrieve a loyalty program

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
loyalty.program
archived
boolean
required

Whether the program is archived. Archived programs are not visible to customers.

budget
Budget · object
required

The budget object for the loyalty program.

description
string | null
required

The description of the loyalty program. This will be displayed to customers.

discoverable
boolean
required

Whether the program is discoverable by residents in the app.

expires_at
integer | null
required

The date and time the program expires.

in_person
object
required

The in_person object for the loyalty program.

name
string
required

The name of the loyalty program. Useful for organising your programmes. Not shown to customers.

recipient_restriction
enum<string>
required

Restrictions on who can receive points. Set to "none" for no restrictions (any user in the OneMove network can receive points). Set to "residents" to only allow residents in your account to receive points.

Available options:
none,
residents
reward
Fixed points · object
required

Grant a fixed number of points to the customer.

statement_descriptor
string | null
required

The statement descriptor that will appear on the customer's statement.

status
enum<string>
required

The status of the loyalty program.

Available options:
active,
expired,
consumed
tier
required

The tier object for the loyalty program.

type
enum<string>
required

The type of the loyalty program.

Available options:
rent_on_time,
tenure_milestone,
new_lease,
renewal,
move_in,
referral,
in_person,
one_time,
birthday,
custom
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

priority
number

The priority of for sorting loyalty programs. If not specified, it will be set to the default value of 50. The highest priority is 0 and the lowest is 100.

Required range: 0 <= x <= 100